if not Translations then Translations = {} end
if not Translations.Heartometer then Translations.Heartometer = {} end

local translationTable = {
	["German"] = {
		["Heartometer"]		   = "Heartometer",
		["Heartometer Version "]   = "Heartometer Version ",
		[" installed!"] 	   = " installiert!",
		
		hated			= "verhasst",
		neutral			= "neutral",
		friendly		= "verbündet",
		decorated		= "dekoriert",
		honored			= "geschätzt",
		revered			= "verehrt",
		glorified		= "verherrlicht",
		["Heartometer is fixed to its position; use /heart unlock to unlock."]
					= "Heartometer ist jetzt fixiert, mit /heart unlock kann es wieder verschoben werden.",
		["Heartometer can be moved again."]
					= "Heartometer kann nun wieder verschoben werden.",
		
	},
	-- russian version thanks to Aybolitus
	["Russian"] = {
		["Heartometer"]         = "Heartometer",
		["Heartometer Version "]= "Версия Heartometer ",
		[" installed!"]         = " установлена!",

		hated           	= "Ненависть",
		neutral           	= "Нейтралитет",
		friendly       		= "Приятельство",
		decorated       	= "Дружба",
		honored           	= "Уважение",
		revered           	= "Почтение",
		glorified       	= "Превознесение",
	},
	-- french version thanks to Leetah
	["French"] = {
		["Heartometer"]		   = "Heartometer",
		["Heartometer Version "]   = "Heartometer Version ",
		[" installed!"] 	   = " installé!",
		
		hated			= "haï",
		neutral			= "neutre",
		friendly		= "amical",
		decorated		= "décoré",
		honored			= "honoré",
		revered			= "révéré",
		glorified		= "glorifié",		
	},
}

function Translations.Heartometer.L(x)
	local lang=Inspect.System.Language()
	if  translationTable[lang]
	and translationTable[lang][x] then
		return translationTable[lang][x]
	elseif lang == "English"  then
		return x
	else
		print ("No translation yet for '" .. lang .. "'/'" .. x .. "'")
		return x
	end
end
